r11966 - in /desktop/unstable/system-tools-backends/debian: system-tools-backends.init system-tools-backends.prerm
xaiki at users.alioth.debian.org
xaiki at users.alioth.debian.org
Mon Jul 16 08:43:55 UTC 2007
Author: xaiki
Date: Mon Jul 16 08:43:55 2007
New Revision: 11966
URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=11966
Log:
I hate svn
Added:
desktop/unstable/system-tools-backends/debian/system-tools-backends.init
Removed:
desktop/unstable/system-tools-backends/debian/system-tools-backends.prerm
Added: desktop/unstable/system-tools-backends/debian/system-tools-backends.init
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/system-tools-backends/debian/system-tools-backends.init?rev=11966&op=file
==============================================================================
--- desktop/unstable/system-tools-backends/debian/system-tools-backends.init (added)
+++ desktop/unstable/system-tools-backends/debian/system-tools-backends.init Mon Jul 16 08:43:55 2007
@@ -1,0 +1,91 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: system-tools-backends
+# Required-Start: $local_fs dbus
+# Required-Stop: $local_fs dbus
+# Should-Start: $syslog
+# Should-Stop: $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: S 0 1 6
+# Short-Description: Gnome System Tools Backends
+# Description: The Gnome System Tools Backends daemon handles root-needed
+# operations to configure your machine with the Gnome System
+# Tools.
+### END INIT INFO
+
+#
+# system-tools-backends
+# dbus init script
+#
+# (Stolen from the hal package, and updated to keep stealing from them)
+# Written by Martin Waitz based on skeleton code
+# written by Miquel van Smoorenburg <miquels at cistron.nl>.
+# Modified for Debian
+# by Ian Murdock <imurdock at gnu.ai.mit.edu>.
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/system-tools-backends
+PIDFILE=/var/run/system-tools-backends.pid
+NAME=system-tools-backends
+DESC="System Tools Backends"
+
+. /lib/lsb/init-functions
+
+test -x $DAEMON || exit 0
+
+set -e
+
+do_start() {
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ fi
+ log_daemon_msg "Starting $DESC" "$NAME"
+ start-stop-daemon --start --startas $DAEMON --quiet --pidfile $PIDFILE
+ log_end_msg $?
+}
+
+do_stop() {
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --startas $DAEMON
+ log_end_msg $?
+}
+
+case "$1" in
+ start)
+ do_start
+ ;;
+ stop)
+ do_stop
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ do_stop
+ sleep 5
+ do_start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ log_success_msg "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
More information about the pkg-gnome-commits
mailing list